package com.banesco.common.infrastructure.context;

import org.slf4j.MDC;

public class RequestContext {

    private RequestContext() {}

    public static final String REQUEST_ID = "requestId";
    public static final String DEVICE = "device";
    public static final String DEVICE_SESSION_REFERENCE = "deviceSessionReference";

    public static String getRequestId() {
        return MDC.get(REQUEST_ID);
    }

    public static void setRequestId(String requestId) {
        MDC.put(REQUEST_ID, requestId);
    }

    public static void clear() {
        MDC.remove(REQUEST_ID);
    }
}
